Non Telkomvision

Inquiry

API to inquiry Television Non Telkom Vision.

Path

MethodPath
POSTapi/v1/bill/check

Test Case

CodeNumberResponse
TVBIG1072160000Success
TVBIG1072160001Inquiry - Invoice Has Been Paid
TVBIG1072160014Inquiry - Incorrect Destination Number
TVBIG1072160103Inquiry - Time Out
TVBIG1072161037Payment - Payment Failed
TVBIG1072161039Payment - Pending / transaction in process
TVBIG1072161105Payment - MISC Error / Biller System Error
TVBIG107216XXXXTest other response scenarios in the test case menu.

Request Body

AttributesTypeDescriptionMandatory
commandsStringValue: inq-pascaYes
usernameStringYour registered phone numberYes
codeStringProduct Code. You can get list of product code in pricelist api or from pricelist hereYes
hpStringTelevision customer numberYes
ref_idStringYour order number / reference ID ( must unique )Yes
signStringSignature. Value: md5(username+api_key+ref_id)Yes
{
  "commands"  : "inq-pasca",
  "username"  : "123123123",
  "code"      : "TVBIG",
  "hp"        : "1072160000",
  "ref_id"    : "09128374656",
  "sign"      : "15011812f64ce888747de76059aa0b20"
}

Response

Loading...
{
  "data": {},
  "meta": []
}

Live Testing

Request URL
https://testpostpaid.mobilepulsa.net/api/v1/bill/check
Request Method
Request Header
Content-Type: application/json
Body
Result

Tutorial Video

You can see this video for inquiry code explanation using Laravel.

Video thumbnail

Or you can see this video for inquiry code explanation using PHP.

Video thumbnail